Loading ...
Sorry, an error occurred while loading the content.

VimChat on OS X

Expand Messages
  • Benjamin Klein
    I am running Vim 7.3 on OS X 10.8 (Mountain Lion). I just installed VimChat (https://github.com/ironcamel/vimchat) and am told “Not an editor command:
    Message 1 of 5 , Aug 7, 2012
    • 0 Attachment
      I am running Vim 7.3 on OS X 10.8 (Mountain Lion). I just installed VimChat (https://github.com/ironcamel/vimchat) and am told “Not an editor command: VimChat” when I try to start it as described in the README.

      Sorry if this is the wrong place to ask, but: Is anyone else using VimChat on OS X (command line, by the way — not MacVim)? If so: How did you go about the installation process? I strongly suspect that I’m missing something simple here…

      Ben

      --
      b

      --
      You received this message from the "vim_use" maillist.
      Do not top-post! Type your reply below the text you are replying to.
      For more information, visit http://www.vim.org/maillist.php
    • Eric Weir
      ... Are you running vim or gvim/macvim? If the latter, the readme says the plugin only works with vim. ... Eric Weir Decatur, GA eeweir@bellsouth.net What is
      Message 2 of 5 , Aug 10, 2012
      • 0 Attachment
        On Aug 7, 2012, at 7:17 PM, Benjamin Klein wrote:

        > I am running Vim 7.3 on OS X 10.8 (Mountain Lion). I just installed VimChat (https://github.com/ironcamel/vimchat) and am told “Not an editor command: VimChat” when I try to start it as described in the README.
        >
        > Sorry if this is the wrong place to ask, but: Is anyone else using VimChat on OS X (command line, by the way — not MacVim)? If so: How did you go about the installation process? I strongly suspect that I’m missing something simple here…

        Are you running vim or gvim/macvim? If the latter, the readme says the plugin only works with vim.

        ------------------------------------------------------------------------------------------
        Eric Weir
        Decatur, GA
        eeweir@...

        "What is man without the beasts? If all the beasts were gone,
        men would die from a great loneliness of spirit."

        - Chief Seattle






        --
        You received this message from the "vim_use" maillist.
        Do not top-post! Type your reply below the text you are replying to.
        For more information, visit http://www.vim.org/maillist.php
      • Benjamin Klein
        I am running vim (yes, I noticed that in the README, but I actually prefer it to Mac/Gvim :) ). -- b ... -- You received this message from the vim_use
        Message 3 of 5 , Aug 10, 2012
        • 0 Attachment
          I am running vim (yes, I noticed that in the README, but I actually prefer it to Mac/Gvim :) ).

          --
          b

          On Aug 10, 2012, at 3:46 PM, Eric Weir <eeweir@...> wrote:

          >
          > On Aug 7, 2012, at 7:17 PM, Benjamin Klein wrote:
          >
          >> I am running Vim 7.3 on OS X 10.8 (Mountain Lion). I just installed VimChat (https://github.com/ironcamel/vimchat) and am told “Not an editor command: VimChat” when I try to start it as described in the README.
          >>
          >> Sorry if this is the wrong place to ask, but: Is anyone else using VimChat on OS X (command line, by the way — not MacVim)? If so: How did you go about the installation process? I strongly suspect that I’m missing something simple here…
          >
          > Are you running vim or gvim/macvim? If the latter, the readme says the plugin only works with vim.
          >
          > ------------------------------------------------------------------------------------------
          > Eric Weir
          > Decatur, GA
          > eeweir@...
          >
          > "What is man without the beasts? If all the beasts were gone,
          > men would die from a great loneliness of spirit."
          >
          > - Chief Seattle
          >
          >
          >
          >
          >
          >
          > --
          > You received this message from the "vim_use" maillist.
          > Do not top-post! Type your reply below the text you are replying to.
          > For more information, visit http://www.vim.org/maillist.php

          --
          You received this message from the "vim_use" maillist.
          Do not top-post! Type your reply below the text you are replying to.
          For more information, visit http://www.vim.org/maillist.php
        • Joe Seeley
          A year later now... but the same situation here. I m running the standard Vim 7.3 from the terminal (Not MacVim or Gvim) on Mac OS X Mountain Lion. Receiving
          Message 4 of 5 , Oct 14, 2013
          • 0 Attachment
            A year later now... but the same situation here. I'm running the standard Vim 7.3 from the terminal (Not MacVim or Gvim) on Mac OS X Mountain Lion. Receiving the error message "Not an editor command: VimChat.

            Has anyone figured out a resolution to this issue?

            On Friday, August 10, 2012 3:07:48 PM UTC-5, Benjamin Klein wrote:
            > I am running vim (yes, I noticed that in the README, but I actually prefer it to Mac/Gvim :) ).
            >
            >
            >
            > --
            >
            > b
            >
            >
            >
            > On Aug 10, 2012, at 3:46 PM, Eric Weir <eeweir@...> wrote:
            >
            >
            >
            > >
            >
            > > On Aug 7, 2012, at 7:17 PM, Benjamin Klein wrote:
            >
            > >
            >
            > >> I am running Vim 7.3 on OS X 10.8 (Mountain Lion). I just installed VimChat (https://github.com/ironcamel/vimchat) and am told “Not an editor command: VimChat” when I try to start it as described in the README.
            >
            > >>
            >
            > >> Sorry if this is the wrong place to ask, but: Is anyone else using VimChat on OS X (command line, by the way — not MacVim)? If so: How did you go about the installation process? I strongly suspect that I’m missing something simple here…
            >
            > >
            >
            > > Are you running vim or gvim/macvim? If the latter, the readme says the plugin only works with vim.
            >
            > >
            >
            > > ------------------------------------------------------------------------------------------
            >
            > > Eric Weir
            >
            > > Decatur, GA
            >
            > > eeweir@...
            >
            > >
            >
            > > "What is man without the beasts? If all the beasts were gone,
            >
            > > men would die from a great loneliness of spirit."
            >
            > >
            >
            > > - Chief Seattle
            >
            > >
            >
            > >
            >
            > >
            >
            > >
            >
            > >
            >
            > >
            >
            > > --
            >
            > > You received this message from the "vim_use" maillist.
            >
            > > Do not top-post! Type your reply below the text you are replying to.
            >
            > > For more information, visit http://www.vim.org/maillist.php

            --
            --
            You received this message from the "vim_use" maillist.
            Do not top-post! Type your reply below the text you are replying to.
            For more information, visit http://www.vim.org/maillist.php

            ---
            You received this message because you are subscribed to the Google Groups "vim_use" group.
            To unsubscribe from this group and stop receiving emails from it, send an email to vim_use+unsubscribe@....
            For more options, visit https://groups.google.com/groups/opt_out.
          • Benjamin Klein
            ... The only thing I can think of is that it requires Python -- which in the standard Mac Vim (terminal Vim as it comes pre-installed on a Mac) I think should
            Message 5 of 5 , Oct 14, 2013
            • 0 Attachment
              On Oct 14, 2013, at 9:09 PM, Joe Seeley <joiey.seeley@...> wrote:
              A year later now... but the same situation here.  I'm running the standard Vim 7.3 from the terminal (Not MacVim or Gvim) on Mac OS X Mountain Lion.  Receiving the error message "Not an editor command: VimChat.

              Has anyone figured out a resolution to this issue?

              The only thing I can think of is that it requires Python -- which in the standard Mac Vim (terminal Vim as it comes pre-installed on a Mac) I think should be there. That repository also hasn't been updated in about two years, it seems. There was an issue on it, again, about two years ago, which seemed to describe the same problem we're having, except it was in MacVim, which I don't know that Vimchat was expected to support.

              I looked through the code a bit here on my phone. Commands are defined beginning on line 1680 of https://github.com/ironcamel/vimchat/blob/a9f9ce2840c3d6eaec444b79b6eb966487594954/plugin/vimchat.vim (plugin/vimchat.vim), and :VimChat is supposed to run `py VimChat.init()`, which I think might be a good place to begin debugging. If others (preferably actual Python users!) aren't interested in this I hope to look at it soon.

              Ben

              --
              b

              Sent from my iPhone

              --
              --
              You received this message from the "vim_use" maillist.
              Do not top-post! Type your reply below the text you are replying to.
              For more information, visit http://www.vim.org/maillist.php
               
              ---
              You received this message because you are subscribed to the Google Groups "vim_use" group.
              To unsubscribe from this group and stop receiving emails from it, send an email to vim_use+unsubscribe@....
              For more options, visit https://groups.google.com/groups/opt_out.
            Your message has been successfully submitted and would be delivered to recipients shortly.